GET api/mediwaveprogramstepapi/step/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

MediWaveProgramStepViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

Range: inclusive between 0 and ∞

id

globally unique identifier

None.

program_id

globally unique identifier

Required

mediwave_program_step_type_id

globally unique identifier

Required

name

string

Required

Response Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "id": "43278e34-42ed-44f2-bda2-d75c0c93946d",
  "program_id": "75716c56-3424-4be5-b55b-5ba75d5f5ca4",
  "mediwave_program_step_type_id": "ae7fbb00-6d7b-4673-bf44-91e34c2f893d",
  "name": "sample string 6"
}

application/xml, text/xml

Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <id>43278e34-42ed-44f2-bda2-d75c0c93946d</id>
  <mediwave_program_step_type_id>ae7fbb00-6d7b-4673-bf44-91e34c2f893d</mediwave_program_step_type_id>
  <name>sample string 6</name>
  <program_id>75716c56-3424-4be5-b55b-5ba75d5f5ca4</program_id>
</mediwave_program_step>